Bug 1179291 - opensc - please update to 0.21 for CardOS 5.x support
opensc - please update to 0.21 for CardOS 5.x support
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.3
Other openSUSE Leap 15.2
: P5 - None : Normal (vote)
: ---
Assigned To: Jason Sikes
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-26 18:17 UTC by Gernot Hillier
Modified: 2022-09-22 22:09 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gernot Hillier 2020-11-26 18:17:19 UTC
OpenSC recently fixed support for CardOS 5.3 smartcards, see https://github.com/OpenSC/OpenSC/pull/1987.

People with a CardOS 5.3 smartcard can reproduce the issue with the
command `pkcs11-tool --login --test`, which reports a couple of failures
in the signature verification.

Two days ago, they finally released 0.21 including this fix.

Can this please be updated in Leap?

Would it help if I would prepare and probably submit the package on build.opensuse.org?

See also bug reports for other distros:

https://bugzilla.redhat.com/show_bug.cgi?id=1830528
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=961123
https://github.com/gentoo/gentoo/pull/18285
https://bugs.archlinux.org/task/68713

TIA!
Comment 1 Andreas Stieger 2020-11-26 19:17:03 UTC
Assigning to bugowner. 

(In reply to Gernot Hillier from comment #0)
> Would it help if I would prepare and probably submit the package on
> build.opensuse.org?

For Factory, absolutely.
Comment 2 Gernot Hillier 2020-11-27 05:10:26 UTC
I found that michael@stroeder.com has already packages 0.21, will ask him first.
Comment 3 Andreas Stieger 2020-11-27 09:11:07 UTC
The SLE maintainer Jason has not done much here. The following are open for Tumbleweed:

bug 1122756 CVE-2019-6502
bug 1177380 CVE-2020-26571
bug 1177378 CVE-2020-26572
bug 1177364 CVE-2020-26570
bug 1158305 CVE-2019-19481
bug 1149747 CVE-2019-15946
bug 1149746 CVE-2019-15945
bug 1158256 CVE-2019-19479
bug 1158307 CVE-2019-19480
Comment 4 Andreas Stieger 2020-11-27 19:53:46 UTC
Here you go... https://build.opensuse.org/request/show/851392
Comment 5 Gernot Hillier 2020-11-27 19:58:54 UTC
Great, Andreas, thanks! I was about to prepare submitting my update in OBS, but you were quicker. :)

Looking forward to it hopefully making its way up/down to Factory and Leap, eventually. :)
Comment 6 Andreas Stieger 2020-12-05 12:54:26 UTC
Ping Jason! You are still due to review https://build.opensuse.org/request/show/851393 and process the CVEs for SLE and Leap!
Comment 7 Jason Sikes 2021-03-14 23:35:48 UTC
Completed by Andreas a few months ago. Cleaning up.
Comment 8 Jason Sikes 2021-03-18 16:38:42 UTC
Should not have closed. Not completed. My mistake.
Comment 9 Jason Sikes 2021-07-25 23:39:51 UTC
Now closing.
Comment 10 Jason Sikes 2021-07-26 15:50:31 UTC
Reopening because I didn't see that we need to update in SLE15-3 or 4.
Comment 12 Jason Sikes 2022-09-22 22:09:37 UTC
Opensc has been updated to the most recent version on Leap 15.4.

Closing.